define({"0":{i:0.0384435258714972,u:"../Content/P4Python/about.html",a:"How to use this guide This section provides  navigation tips and  information on typographical conventions, feedback options, and additional documentation. Navigation Use following controls to navigate the content in this manual: The arrow buttons   and   at the top of any page bring you to the next ...",t:"How to use this guide | P4Python"},"1":{i:0.0384435258714972,u:"../Content/P4Python/chapter.python.html",a:"Introduction P4Python, the Python\n      interface to the\n      Helix C/C++ API,\n      enables you to write Python code that interacts with a Helix Core Server.\n      P4Python\n      enables your Python scripts to: Get\n\tHelix Server\n\tdata and forms in dictionaries and lists. Edit\n\tHelix Server\n\tforms ...",t:"P4Python"},"2":{i:0.0384435258714972,u:"../Content/P4Python/python.requirements.html",a:"P4Python\n      is supported on Windows, Linux, Solaris, OS X, and FreeBSD. For system requirements, see the\n      \n      release notes at  https://www.perforce.com/perforce/doc.current/user/p4pythonnotes.txt.  When passing arguments, make sure to omit the space between the argument and its value, ...",t:"System Requirements and Release Notes"},"3":{i:0.0384435258714972,u:"../Content/P4Python/python.installation.html",a:"Before installing\n\tP4Python, any\n\tpreviously installed versions should be uninstalled. As of\n      P4Python\n      2015.1, the recommended mechanism for installing\n      P4Python\n      is via  pip. For example: \n$ pip install p4python pip installs binary versions of\n      P4Python\n      where ...",t:"Installing P4Python"},"4":{i:0.0384435258714972,u:"../Content/P4Python/python.programming.html",a:"P4Python\n      provides an object-oriented interface to\n      Helix Core Server\n      that is intended to be intuitive for Python programmers. Data is loaded\n      and returned in Python arrays and dictionaries. Each\n       P4 object represents a connection to the Helix Server. When instantiated, ...",t:"Programming with P4Python"},"5":{i:0.0413742365768833,u:"../Content/P4Python/python.classes.html",a:"The P4 module consists of several public classes: P4 P4.P4Exception P4.DepotFile P4.Revision P4.Integration P4.Map P4.MergeData P4.Message P4.OutputHandler P4.Progress P4.Resolver P4.Spec The following tables provide more details about each public class, including methods and attributes. Attributes ...",t:"P4Python Classes"},"6":{i:0.275778716553803,u:"../Content/P4Python/python.p4.html",a:"Description Main interface to the Python client API. This module provides an object-oriented interface to Helix Server, the\n      Perforce\n      version constrol system. Data is returned in Python arrays and\n      dictionaries (hashes) and input can also be supplied in these\n      formats. Each  P4 ...",t:"Class P4"},"7":{i:0.0384435258714972,u:"../Content/P4Python/python.p4_exception.html",a:"Description Instances of this class are raised when  P4\n      encounters an error or a warning from the server. The exception contains\n      the errors in the form of a string.  P4Exception is a\n      shallow subclass of the standard Python Exception class. Class Attributes None. Class Methods None.",t:"Class P4.P4Exception"},"8":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_depotfile.html",a:"Description Utility class providing easy access to the attributes of a file in a\n      Helix Server\n      depot. Each  P4.DepotFile object contains summary\n      information about the file and a list of revisions\n      ( P4.Revision objects) of that file. Currently, only\n      the P4.run_filelog() ...",t:"Class P4.DepotFile"},"9":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_revision.html",a:"Description Utility class providing easy access to the revisions of\n       P4.DepotFile objects. Created by\n      P4.run_filelog(). Instance Attributes rev.action -\u003e string Returns the name of the action which gave rise to this revision of the\n      file. rev.change -\u003e int Returns the change number ...",t:"Class P4.Revision"},"10":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_integration.html",a:"Description Utility class providing easy access to the details of an integration\n      record. Created by P4.run_filelog(). Instance Attributes integ.how -\u003e string Returns the type of the integration record - how that record was\n      created. integ.file -\u003e string Returns the path to the file being ...",t:"Class P4.Integration"},"11":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_map.html",a:"Description The  P4.Map class allows users to create and work\n      with\n      Helix Server\n      mappings, without requiring a connection to a\nHelix Server. Instance Attributes None. Class Methods P4.Map( [ list ] ) -\u003e P4.Map Constructs a new  P4.Map object. P4.Map.join ( map1, map2 ) -\u003e P4.Map ...",t:"Class P4.Map"},"12":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_mergedata.html",a:"Description Class containing the context for an individual merge during execution of\n      a  p4 resolve. Instance Attributes md.your_name -\u003e string Returns the name of \"your\" file in the merge. This is typically a path\n      to a file in the workspace. md.their_name -\u003e string Returns the name of ...",t:"Class P4.MergeData"},"13":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_message.html",a:"Description P4.Message objects contain error or other diagnostic\n      messages from the Helix Server; they are returned in  P4.messages. Script writers can test the severity of the messages in order to\n      determine if the server message consisted of command output\n      (E_INFO), warnings, ...",t:"Class P4.Message"},"14":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_outputhandler.html",a:"Description The  P4.OutputHandler class is a handler class that\n      provides access to streaming output from the server. After defining the\n      output handler, set  p4.handler to an instance of a\n      subclass of  P4.OutputHandler, use\n      p4.using_handler( MyHandler() ), or pass the handler ...",t:"Class P4.OutputHandler"},"15":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_progress.html",a:"Description The  P4.Progress class is a handler class that\n      provides access to progress indicators from the server. After defining\n      the progress class, set  P4.progress to an instance of\n      a subclass of  P4.Progress, use\n      p4.using_progress( MyProgress() ), or pass the progress\n    ...",t:"Class P4.Progress"},"16":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_resolver.html",a:"Description P4.Resolver is a class for handling resolves in\n      Helix Server. It is\n      intended to be subclassed, and for subclasses to override the\n      resolve() method. When P4.run_resolve() is\n      called with a  P4.Resolver object, it calls the\n      P4.Resolver.resolve() method of the ...",t:"Class P4.Resolver"},"17":{i:0.0413742365768833,u:"../Content/P4Python/python.p4_spec.html",a:"Description Utility class providing easy access to the attributes of the fields in a\n      Helix Server\n      form. Only valid field names may be set in a  P4.Spec\n      object. Only the field name is validated, not the content. Attributes\n      provide easy access to the fields. Instance Attributes ...",t:"Class P4.Spec"},"18":{i:0.0384435258714972,u:"../Content/P4Python/license.statements.html",a:"Perforce Software includes software developed by the University of\n    California, Berkeley and its contributors. This product includes\n    software developed by the OpenSSL Project for use in the OpenSSL\n    Toolkit ( http://www.openssl.org/ ).\n   Perforce Software includes software from the Apache ...",t:"License Statements"},});